Skip to main content
GET
/
v1
/
analysis-sources
/
{analysisSourceId}
Read Analysis Source
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "engagementId": {},
  "analysisId": {},
  "analysisSourceTypeId": {},
  "fileManagerFileId": {},
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "analysisPeriodId": {},
  "additionalDataColumnField": "<string>",
  "warningsIgnored": true,
  "warnings": [
    {
      "code": "<string>",
      "defaultMessage": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "defaultMessage": "<string>"
    }
  ],
  "workflowState": "COMPLETED",
  "targetWorkflowState": "COMPLETED",
  "detectedFormat": "QUICKBOOKS_JOURNAL",
  "applyDegrouper": true,
  "degrouperApplied": true,
  "fileInfo": {
    "version": 123,
    "id": {},
    "creationDate": "2023-11-07T05:31:56Z",
    "lastModifiedDate": "2023-11-07T05:31:56Z",
    "createdUserInfo": {
      "userId": {},
      "userName": "<string>"
    },
    "lastModifiedUserInfo": {
      "userId": {},
      "userName": "<string>"
    },
    "type": "FILE_INFO",
    "name": "<string>",
    "formatDetected": true,
    "format": "QUICKBOOKS_JOURNAL"
  },
  "proposedColumnMappings": [
    {
      "columnPosition": 123,
      "virtualColumnIndex": 123,
      "mindbridgeField": "<string>",
      "additionalColumnName": "<string>"
    }
  ],
  "columnMappings": [
    {
      "position": 123,
      "field": "<string>",
      "mindbridgeField": "<string>",
      "mappingType": "AUTO",
      "additionalColumnName": "<string>"
    }
  ],
  "proposedVirtualColumns": [
    {
      "columnIndex": 123,
      "name": "<string>",
      "type": "DUPLICATE"
    }
  ],
  "virtualColumns": [
    {
      "version": 123,
      "name": "<string>",
      "type": "DUPLICATE",
      "columnIndex": 123,
      "id": {},
      "creationDate": "2023-11-07T05:31:56Z",
      "lastModifiedDate": "2023-11-07T05:31:56Z",
      "createdUserInfo": {
        "userId": {},
        "userName": "<string>"
      },
      "lastModifiedUserInfo": {
        "userId": {},
        "userName": "<string>"
      },
      "index": 123
    }
  ],
  "proposedAmbiguousColumnResolutions": [
    {
      "position": 1,
      "selectedFormat": "<string>"
    }
  ],
  "ambiguousColumnResolutions": [
    {
      "position": 123,
      "ambiguousFormats": [
        "<string>"
      ],
      "selectedFormat": "<string>"
    }
  ],
  "proposedTransactionIdSelection": {
    "type": "COMBINATION",
    "columnSelection": [
      123
    ],
    "virtualColumnSelection": [
      123
    ],
    "applySmartSplitter": true
  },
  "transactionIdSelection": {
    "type": "COMBINATION",
    "columnSelection": [
      123
    ],
    "virtualColumnSelection": [
      123
    ],
    "applySmartSplitter": true
  },
  "fileInfoVersions": {},
  "fileManagerFiles": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisSourceId
string
required

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

engagementId
object
required

Identifies the associated engagement.

analysisId
object
required

Identifies the associated analysis.

analysisSourceTypeId
object
required

Identifies the analysis source type.

fileManagerFileId
object
required
deprecated

Identifies the specific file manager file within MindBridge.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

analysisPeriodId
object

Identifies the analysis period within MindBridge.

additionalDataColumnField
string

When creating an additional data source type, this indicates which additional data column is being targeted.

warningsIgnored
boolean

Indicates whether or not warnings should be ignored.

warnings
object[]

Details about the warnings associated with the source.

errors
object[]

Details about the errors associated with the specific source.

workflowState
enum<string>

The current state of the workflow.

Available options:
COMPLETED,
CANCELLED,
FAILED,
STARTED,
DETECTING_FORMAT,
ANALYZING_COLUMNS,
CHECKING_INTEGRITY,
SCANNING_TRANSACTION_COMBINATIONS,
PARSING,
PARSING_ICEBERG,
ANALYZING_EFFECTIVE_DATE_METRICS,
FORMAT_DETECTION_COMPLETED,
COLUMN_MAPPINGS_CONFIRMED,
SETTINGS_CONFIRMED,
PREPARING_ICEBERG,
ANALYSIS_PERIOD_SELECTED,
FUNDS_REVIEWED,
RUNNING,
UNPACK_COMPLETE,
UPLOADED,
FORMAT_DETECTED,
COLUMNS_ANALYZED,
INTEGRITY_CHECKED,
PARSED,
AUTHENTICATED,
CONFIGURED,
EFFECTIVE_DATE_METRICS_ANALYZED,
DATA_VALIDATION_CONFIRMED
targetWorkflowState
enum<string>

The state that the current workflow will advance to.

Available options:
COMPLETED,
CANCELLED,
FAILED,
STARTED,
DETECTING_FORMAT,
ANALYZING_COLUMNS,
CHECKING_INTEGRITY,
SCANNING_TRANSACTION_COMBINATIONS,
PARSING,
PARSING_ICEBERG,
ANALYZING_EFFECTIVE_DATE_METRICS,
FORMAT_DETECTION_COMPLETED,
COLUMN_MAPPINGS_CONFIRMED,
SETTINGS_CONFIRMED,
PREPARING_ICEBERG,
ANALYSIS_PERIOD_SELECTED,
FUNDS_REVIEWED,
RUNNING,
UNPACK_COMPLETE,
UPLOADED,
FORMAT_DETECTED,
COLUMNS_ANALYZED,
INTEGRITY_CHECKED,
PARSED,
AUTHENTICATED,
CONFIGURED,
EFFECTIVE_DATE_METRICS_ANALYZED,
DATA_VALIDATION_CONFIRMED
detectedFormat
enum<string>

The data format that MindBridge detected.

Available options:
QUICKBOOKS_JOURNAL,
QUICKBOOKS_JOURNAL_2024,
QUICKBOOKS_TRANSACTION_DETAIL_BY_ACCOUNT,
SAGE50_LEDGER,
SAGE50_TRANSACTIONS,
CCH_ACCOUNT_LIST,
MS_DYNAMICS_JOURNAL,
SAGE50_UK
applyDegrouper
boolean

Indicates whether or not the degrouper should be applied.

degrouperApplied
boolean

Indicates whether or not the degrouper was applied.

fileInfo
File Info · object

Details about the file being imported into MindBridge.

proposedColumnMappings
Proposed Column Mapping · object[]

Details about the proposed column mapping.

columnMappings
Column Mapping · object[]

Details about column mapping.

proposedVirtualColumns
Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Join Virtual Column · object · Proposed Split By Delimiter Virtual Column · object · Proposed Split By Position Virtual Column · object[]

Details about the proposed virtual columns added during the file import process.

virtualColumns
(Duplicate Virtual Column · object | Join Virtual Column · object | Split By Delimiter Virtual Column · object | Split By Position Virtual Column · object)[]

Details about the virtual columns added during file ingestion.

proposedAmbiguousColumnResolutions
Proposed Ambiguous Column Resolution · object[]

Details about the virtual columns added during file ingestion.

ambiguousColumnResolutions
Ambiguous Column Resolution · object[]

Details about resolutions to ambiguity in a column.

proposedTransactionIdSelection
Transaction ID Selection · object

The proposed columns to include when selecting a transaction ID.

transactionIdSelection
Transaction ID Selection · object

Details about transaction ID selection.

fileInfoVersions
object

A map of providing a set of file info IDs by their Analysis Source File Version.

fileManagerFiles
object

A map of providing a set of file manager file IDs by their Analysis Source File Version.